jQuery(document).ready(function($) {

	$("#hr_office_vacancy_meta .tabs-list li a").click(function(e){
        e.preventDefault();
    });

    $("#hr_office_vacancy_meta .tabs-list li").click(function(){
        var tabid = $(this).find("a").attr("href");
        $(".tabs-list li,.tabs div.tab").removeClass("active");   // removing active class from tab and tab content
        $(".tab").hide();   // hiding open tab
        $(tabid).show();    // show tab
        $(this).addClass("active"); //  adding active class to clicked tab

    });

    // OnClick Job Listing label change field
    $("body").on('change', '#hr_office_vacancy_meta .add_label_change_job_listing', function() {
        var ischecked= $(this).is(':checked');
        var check_label_jb_detail = $(this).val(); 

        if(ischecked){ 
            $(".joblisting_data_label_change_div_area").show(); 
            var html_new_label_jb_dtl = '';
            html_new_label_jb_dtl += '<label for="meta-filters" class="meta_job_listing_data_label_'+check_label_jb_detail+'">';
            html_new_label_jb_dtl += '<input type="text" name="meta_job_listing_data_label_'+check_label_jb_detail+'" value="'+check_label_jb_detail+'">'+check_label_jb_detail+'';
            html_new_label_jb_dtl += '</label>';

            jQuery('.slted-joblisting-label-div').append(html_new_label_jb_dtl);
        }else{            
            $(".meta_job_listing_data_label_"+check_label_jb_detail+"").remove(); 
        }
        
    });

    // OnClick Job Detail label change field
    $("body").on('change', '#hr_office_vacancy_meta .add_label_change_jobdtl', function() {
        var ischecked= $(this).is(':checked');
        var check_label_jb_detail = $(this).val(); 

        if(ischecked){ 
            $(".jobdetail_data_label_change_div_area").show(); 
            var html_new_label_jb_dtl = '';
            html_new_label_jb_dtl += '<label for="meta-filters" class="meta_job_detail_data_label_'+check_label_jb_detail+'">';
            html_new_label_jb_dtl += '<input type="text" name="meta_job_detail_data_label_'+check_label_jb_detail+'" value="">'+check_label_jb_detail+'';
            html_new_label_jb_dtl += '</label>';

            jQuery('.slted-jobdetail-label-div').append(html_new_label_jb_dtl);
        }else{            
            $(".meta_job_detail_data_label_"+check_label_jb_detail+"").remove(); 
        }
        
    });

    // OnClick Filters label change field 
    $("body").on('change', '#hr_office_vacancy_meta .add_label_change_filter_dtl', function() {
        var ischecked= $(this).is(':checked');
        var check_label_jb_detail = $(this).val();
        var check_label_jb_detail_nm = check_label_jb_detail.replace(/ /g,"_"); 

        if(ischecked){ 
            $(".filter_data_label_change_div_area").show(); 
            var html_new_label_jb_dtl = '';
            html_new_label_jb_dtl += '<label for="meta-filters" class="meta_filter_label_'+check_label_jb_detail_nm+'">';
            html_new_label_jb_dtl += '<input type="text" name="meta_filter_label_'+check_label_jb_detail_nm+'" value="">'+check_label_jb_detail+'';
            html_new_label_jb_dtl += '</label>';

            jQuery('.slted-filters-label-div').append(html_new_label_jb_dtl);
        }else{            
            $(".meta_filter_label_"+check_label_jb_detail_nm+"").remove(); 
        }
        
    });

    // OnClick Grid Layout
    $("body").on('change', '#hr_office_vacancy_meta #mastercard2', function() {
        var ischecked= $(this).is(':checked');        

        if(ischecked){
            $.post(frontend_ajax_object.ajaxurl,                       
                   {
                       action: 'action_hr_office_jobdata_category_list_image_check',
                       post_ID: $("input[name='post_ID']").val(),
                       check_category_list_img_nonce: $("#check_category_list_img_nonce").val()
                   }, function (data) {                    
                        $(".slted-category-list-image-div").html(data);                        
                    }
            ).fail(function() { 
              
            })

            $(".jobdata_category_list_image_div_area").show();
            $(".jobdetail_data_category_image_div_area").show();
        }
    });    
    $("body").on('change', '#hr_office_vacancy_meta #visa2', function() {
        var ischecked= $(this).is(':checked');       

        if(ischecked){            
            $(".jobdata_category_list_image_div_area").hide(); 
            $(".jobdetail_data_category_image_div_area").hide();             
        }        
    });

    // OnChange Refferal Tool
    $("body").on('change', '#hr_office_vacancy_meta .referral_tool_change_event', function() {
        var ischecked= $(this).is(':checked'); 
        if(ischecked){ 
            $('.referral_tool_other_settings').show();
        }else{            
            $('.referral_tool_other_settings').hide();
        }        
    });
    
    // Uploading files
    var file_frame;
    var wp_media_post_id = wp.media.model.settings.post.id; // Store the old id
    var set_to_post_id = $("input[name='post_ID']").val(); // Set this
    var data_att_id;
    jQuery('body').on('click', '#hr_office_vacancy_meta .upload_image_button', function( event ){
        event.preventDefault();
        data_att_id = $(this).attr('data-att-id');

        // If the media frame already exists, reopen it.
        if ( file_frame ) {
            // Set the post ID to what we want
            file_frame.uploader.uploader.param( 'post_id', set_to_post_id );
            // Open frame
            file_frame.open();
            return;
        } else {
            // Set the wp.media post id so the uploader grabs the ID we want when initialised
            wp.media.model.settings.post.id = set_to_post_id;
        }

        // Create the media frame.
        file_frame = wp.media.frames.file_frame = wp.media({                                
            multiple: false,   // Set to true to allow multiple files to be selected
        });

        // When an image is selected, run a callback.
        file_frame.on( 'select', function() {
            // We set multiple to false so only get one image from the uploader
            attachment = file_frame.state().get('selection').first().toJSON(); 

            // Do something with attachment.id and/or attachment.url here
            $( '#image-preview-'+data_att_id ).attr( 'src', attachment.url ).css( 'width', 'auto' );
            $( '#image_attachment_id_'+data_att_id ).val( attachment.id );
            $( '#remove-img-btn-'+data_att_id ).show();

            // Restore the main post ID
            wp.media.model.settings.post.id = wp_media_post_id;
        });

        // Finally, open the modal
        file_frame.open();
    });
    $( 'body' ).on( 'click', '#hr_office_vacancy_meta .remove-img-btn', function( event ){
        event.preventDefault();
        data_remove_img = $(this).attr('data-remove-img');
        //alert(data_remove_img);
        $( '#image_attachment_id_'+data_remove_img ).val('');
        $( '#image-preview-'+data_remove_img ).css( 'width', '0px' );
        $(this).hide();
    });

    // check api connection
    $(document).on("click",".hroffice-check-connection", function () { 

        if ($("input[name='meta-text-portal-id']").val().length === 0 || $("input[name='meta-text-developer-key']").val().length === 0) {
            alert(frontend_ajax_object.api_empty_msg);
            return false;
        }
        
        $(".hroffice-loader-connection").show();    
        $.post(frontend_ajax_object.ajaxurl,                       
               {
                   action: 'action_hr_office_connection',                
                   portal_id: $("input[name='meta-text-portal-id']").val(), 
                   developer_key: $("input[name='meta-text-developer-key']").val(),
                   language_id: $("select[name='meta-text-language-id'] option:selected").val(),
                   post_ID: $("input[name='post_ID']").val(),
                   api_checking_nonce: $("#api_checking_nonce").val()
               }, function (data) {                                        
                    $(".hroffice-loader-connection").hide();

                    if(data == 'Working'){
                        $(".hroffice-connection-status").removeClass('notconnected'); 
                        $(".hroffice-connection-status").addClass('connected');
                        $(".hroffice-connection-status").html(frontend_ajax_object.api_working_msg); 
                    }else{
                        $(".hroffice-connection-status").removeClass('connected'); 
                        $(".hroffice-connection-status").addClass('notconnected');
                        $(".hroffice-connection-status").html(frontend_ajax_object.api_notworking_msg); 
                    }
                }
        ).fail(function() { 
           $(".hroffice-connection-status").html('Not Connected');
           $(".hroffice-loader-connection").hide();
        })
    });

    // check api filters
    $(document).on("click",".hroffice-check-filters", function () { 
        $(".hroffice-loader-filters").show();   
        $.post(frontend_ajax_object.ajaxurl,                       
               {
                   action: 'action_hr_office_filters_check',
                   post_ID: $("input[name='post_ID']").val(),
                   hroffic_check_filters_nonce: $("#hroffic_check_filters_nonce").val()
               }, function (data) {                    
                    $(".hroffice-filters-status").html(data);
                    $(".hroffice-loader-filters").hide();
                }
        ).fail(function() { 
           $(".hroffice-filters-status").html('Not Loaded');
           $(".hroffice-loader-filters").hide();
        })
    });

    // check job data
    $(document).on("click",".hroffice-check-job-data", function () {
        $(".hroffice-loader-listing").show();    
        $.post(frontend_ajax_object.ajaxurl,                       
               {
                   action: 'action_hr_office_job_data_check',
                   post_ID: $("input[name='post_ID']").val(),
                   check_job_data_nonce: $("#check_job_data_nonce").val()
               }, function (data) {                    
                    $(".hroffice-listing-status").html(data);
                    $(".hroffice-loader-listing").hide();
                }
        ).fail(function() { 
           $(".hroffice-listing-status").html('Not Loaded');
           $(".hroffice-loader-listing").hide();
        })
    });

    // check job data for detail page
    $(document).on("click",".hroffice-check-job-data-detailpage", function () {
        $(".hroffice-loader-job").show();    
        $.post(frontend_ajax_object.ajaxurl,                       
               {
                   action: 'action_hr_office_job_data_detailpage_check',
                   post_ID: $("input[name='post_ID']").val(),
                   check_job_data_detail_page_nonce: $("#check_job_data_detail_page_nonce").val()
               }, function (data) {                    
                    $(".hroffice-job-detail-status").html(data);
                    $(".hroffice-loader-job").hide();
                }
        ).fail(function() { 
           $(".hroffice-job-detail-status").html('Not Loaded');
           $(".hroffice-loader-job").hide();
        })
    });

    // check Referral Tool api connection
    $(document).on("click",".hroffice-check-referral-tool-connection", function () {        
        
        $(".hroffice-loader-referral-check").show();    
        $.post(frontend_ajax_object.ajaxurl,                       
               {
                   action: 'action_hr_office_referral_tool_connection',                
                   referral_api_url: $("input[name='meta-text-referral-api-url']").val(), 
                   referral_api_key: $("input[name='meta-text-referral-api-key']").val(),
                   referral_tool_conn_nonce: $('#referral_tool_conn_nonce').val()
               }, function (data) {                                        
                    $(".hroffice-loader-referral-check").hide();

                    if(data == '400'){
                        $("#referral-tool-validation-icon").removeClass('dashicons-dismiss'); 
                        $("#referral-tool-validation-icon").addClass('dashicons-yes-alt');
                        $("#referral-tool-validation-icon").show();                     
                    }else{
                        $("#referral-tool-validation-icon").removeClass('dashicons-yes-alt'); 
                        $("#referral-tool-validation-icon").addClass('dashicons-dismiss');  
                        $("#referral-tool-validation-icon").show(); 
                    }
                }
        ).fail(function() {           
           $(".hroffice-loader-referral-check").hide();
        })
    });
	
});
